
Redmine - Patch #24713

Remove iteration in ApplicationHelper#syntax_highlight_lines

2016-12-29 10:20 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Index: app/helpers/application_helper.rb

===================================================================

--- app/helpers/application_helper.rb    (revision 16111)

+++ app/helpers/application_helper.rb    (working copy)

@@ -466,9 +466,7 @@

   end

   def syntax_highlight_lines(name, content)

-    lines = []

-    syntax_highlight(name, content).each_line { |line| lines << line }

-    lines

+    syntax_highlight(name, content).each_line.to_a

   end

   def syntax_highlight(name, content)

Associated revisions

Revision 16164 - 2017-01-08 23:41 - Jean-Philippe Lang

Remove iteration in ApplicationHelper#syntax_highlight_lines (#24713).

Patch by Go MAEDA.

History

#1 - 2016-12-29 16:40 - Toshi MARUYAMA

- Target version set to 3.4.0

#2 - 2017-01-08 23:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.
